### Method

# Gtk Entry get_icon_name

#### Declaration [src]

    const char*
    gtk_entry_get_icon_name (
      GtkEntry* entry,
      GtkEntryIconPosition icon_pos
    )

#### Description [src]

Retrieves the icon name used for the icon.

`NULL` is returned if there is no icon or if the icon was set by some other method (e.g., by `GdkPaintable` or gicon).

#### Parameters

`icon_pos`

  Type: `GtkEntryIconPosition`

  Icon position.

#### Return value

Type: `const char*`

An icon name.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.